For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/workflow/automations/get-api-workflow-v1automations-by-automation_id-enrollments-by-enrollment_id.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.
Get enrollment
GET
/api/workflow/v1/automations/:automation_id/enrollments/:enrollment_id
1import { Reloop } from "reloop-email";2
3const reloop = new Reloop({ apiKey: "rl_123456789" });4
5const { enrollment, enrollmentError } = await reloop.automations.enrollments.get(6 "auto_123456789",7 "enr_123456789",8);9if (enrollmentError) throw enrollmentError;1{2 "enrollment": {3 "id": "enr_123456789",4 "automationId": "auto_123456789",5 "contactId": "con_123456789",6 "contactEmail": "john.doe@example.com",7 "contactFirstName": "John",8 "contactLastName": "Doe",9 "status": "active",10 "currentNodeId": "wait",11 "enrolledAt": "2026-03-23T10:00:00.000Z",12 "completedAt": null,13 "cancelledAt": null14 },15 "steps": [16 {17 "id": "astep_123456789",18 "nodeId": "is_pro",19 "nodeType": "condition",20 "status": "completed",21 "scheduledFor": "2026-03-23T10:00:00.000Z",22 "startedAt": "2026-03-23T10:00:00.000Z",23 "finishedAt": "2026-03-23T10:00:00.000Z",24 "emailLogId": null,25 "error": null26 },27 {28 "id": "astep_987654321",29 "nodeId": "wait",30 "nodeType": "delay",31 "status": "pending",32 "scheduledFor": "2026-03-24T10:00:00.000Z",33 "startedAt": null,34 "finishedAt": null,35 "emailLogId": null,36 "error": null37 }38 ]39}Path Parameters
automation_idstringRequired
Automation ID (auto_...)
- Minimum length:
1
enrollment_idstringRequired
- Minimum length:
1
Was this page helpful?